Package org.eclipse.mat.internal.snapshot.inspections

## Class CompareTablesQuery.ComparedColumn

- java.lang.Object
- - org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.ComparedColumn

Enclosing class:
  CompareTablesQuery

    public static class CompareTablesQuery.ComparedColumn
    extends java.lang.Object

### Constructor Summary

Constructors
`ComparedColumn​(Column description, int[] columnIndexes, boolean displayed)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int[]` `getColumnIndexes()`
`Column` `getDescription()`
`boolean` `isDisplayed()`
`void` `setColumnIndexes​(int[] columnIndexes)`
`void` `setDescription​(Column description)`
`void` `setDisplayed​(boolean displayed)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComparedColumn

    public ComparedColumn​(Column description,
                          int[] columnIndexes,
                          boolean displayed)

### Method Detail

#### getDescription

    public Column getDescription()

#### setDescription

    public void setDescription​(Column description)

#### getColumnIndexes

    public int[] getColumnIndexes()

#### setColumnIndexes

    public void setColumnIndexes​(int[] columnIndexes)

#### isDisplayed

    public boolean isDisplayed()

#### setDisplayed

    public void setDisplayed​(boolean displayed)